/* Copyright (C) 1999 PLUS Group - University of Maryland
 *	
 * This software is provided under the terms of the GNU General Public
 * License Version 2, June 1991. See the header in KA_App.java
 * and the file License.html for details.
 */

package Annotator;

import java.awt.*;
import java.net.*;
import UserInt.*;
    
public class URLDialog extends EditWindow {

  TextField urlField;
  String urlString = null;

  public URLDialog(Frame parent) {

    super(parent, "Open URL");

    Panel textPanel = new Panel();
    textPanel.setLayout(new GridLayout(2, 1));
    textPanel.add(new Label("URL:"));
    urlField = new TextField(40);
    urlField.setBackground(Color.white);
    textPanel.add(urlField);
    add("North", textPanel);
    pack();
    resize(minimumSize());
  }

  public void saveChanges() {

    urlString = urlField.getText();
  }

  public String getURL() {
  
    return urlString;
  }
}
